import { httpApp } from "@/plugins/axiosApp";
import { PracticeExam } from "@/types/student-client";

type ExamItem = {
  id: number;
  name: string;
};

/** 获取在线练习考试列表 */
export async function onlinePracticeExamListApi(studentId: number) {
  return httpApp.get<any, { data: ExamItem[] }>(
    `/api/ecs_exam_work/exam/queryByNameLike`,
    {
      params: {
        examTyes: "PRACTICE",
        name: "",
        studentId,
      },
    }
  );
}
/** 获取在线练习考试科目列表 */
export async function onlinePracticeCourseListApi(examId: number) {
  return httpApp.get<any, { data: PracticeExam[] }>(
    `/api/branch_ecs_oe_admin/practice/queryPracticeCourseList`,
    {
      params: {
        examId,
      },
    }
  );
}
